Amount is some Value of a Currency. It is considered invalid to specify a Value without a Currency.

export
interface

  RosettaAmount

### Hierarchy

- RosettaAmount

## Index

### Properties

- currency
- metadata
- value

## Properties

### currency

currency: RosettaCurrency

- Defined in src/generated/models/RosettaAmount.ts:40

memberof

  RosettaAmount

### Optional metadata

metadata: object

- Defined in src/generated/models/RosettaAmount.ts:46

memberof

  RosettaAmount

### value

value: string

- Defined in src/generated/models/RosettaAmount.ts:34

Value of the transaction in atomic units represented as an arbitrary-sized signed integer. For example, 1 BTC would be represented by a value of 100000000.

memberof

  RosettaAmount

Generated using TypeDoc